Registrar Registry Manager

Copyright © 1999-2006 Resplendence Software Projects Sp. All rights reserved.
http://www.resplendence.com
note.gif (980 bytes) Warning: This software allows direct modification of the Windows Registry. As always when operating the Windows Registry, extreme care should be taken when using this software. Errors in the Windows Registry may result in a non-working, non-bootable or even an non-repairable system.

Note: Use of this program is subject to the terms and conditions of the Software License Agreement provided with this documentation.


Introduction

Registrar Registry Manager is a complete registry management solution with a wealth of powerful features. It is intended as a complete and safe solution for administrators and power users for maintaining the registry on both the desktop as well as remote computers on the network.

It offers the benefit of a one-stop registry management solution, a very rich set of tools which replaces a large range of separate utilities. It is safer than Regedit, the native Windows registry editor as this software offers registry backup and restore features as well as multilevel undo.
The builtin registry file editor allows you to edit registry files on disk such as those which make up the systems registry image so you can use it to recover and repair broken Windows installations which may be even unbootable due to registry errors. This feature has been a life saver to many system administrators.

Other features include fast registry background search with replace, delete and export options, a detailed registry monitor which monitors registry operations by the system and other applications, a bookmark editor with descriptions, categories and key coloring, an advanced registry compare tool, detailed property pages and a registry file reference editor. Registrar also offers a registry defragmenter and several tools to clean out the registry so you can keep your computer running smoothly. Security editors allow you to set registry key access permissions, auditing and ownership. offers multi-level undo so all registry changes can be individually undone.

System Security Warning:

This software is a powerful tool which allows direct modifications of the Windows registry which is used for storing critical system and application data. Errors in the registry may result in a corrupt. non-bootable or even an unrepairable system. Extreme care should be taken as always when working with the registry.


What's new ?

What's new in v 4.00 ?

This section describes what has changed in Registrar Registry Manager 4.00 since version 3.30

Support for Windows 2003 Server and Windows XP 64 bit edition
This new version of Registrar also supports the new 64 bit editions of Windows for x64 processors and allows you to edit both the 64 and 32 bit portions of the registry.

Advanced Registry Compare Tool
Now there is a tool for comparing two registry keys in high detail, displaying all common and missing registry keys and values as well as differences in registry data.

File Reference Editor
The new file reference editor allows you to find file references quickly and with ease. It tells you which references in your registry refer to missing files and displays file descriptions, company information and allows you to easily explore the registry and file locations of such entries. If used with caution and common sense, this can be a great tool for cleaning your registry from unwanted leftover entries.

Improved Bookmark Editor
The new bookmark editor offers a separate editor which allows you to individually edit registry bookmarks. New is the registry links option which allows you to quickly edit and visit websites on the internet related to a registry key or value. An advanced bookmark search tool will allow you to find registry bookmark descriptions quickly. A new set of over 2000 registry bookmarks with key descriptions and tweaks has been included.

Advanced Registry Search
New is the option to specify registry data sizes and value types as search criteria.

Registry Monitor
The registry monitor displays registry operations in higher detail. Timestamps now have the precision of a tenth of a microsecond. Included are registry key, thread and process handles. New is the option to limit the monitor to the set of running applications of your choice, making it more easy to display only relevant information.

Registry Key Properties
The registry key property pages now display information in a tabbed manner. New is the registry security tab which displays registry security information on registry keys while browsing your registry.

Registry Defragmenter
The registry defragmenter now displays the time and date the last time your registry has been defragmented.

Other improvements
Several other minor improvements have been made to make the software more convenient.

Improvements in v4.03 since v4.02:

-Bug solved: 4.0x versions were overlooking certain registry values in keys causing the software to display incomplete data
-Bug solved: 4.0x versions did not save and restore column widths in list views
-Bug solved: deleting or renaming registry keys related to the registrar undo functionality caused the program to hang
-Bug solved: when jumping to a registry value, the value would not always get selected
-Registry file stamps are now displayed using the local time rather than system time

Improvements in v4.02 since v4.01:

-Bug solved: when editing a registry file on disk, sometimes the file could not be properly saved and would cause an access violation
-Bug solved: some temporary files used for editing registry keys were not automatically deleted
-Bug solved: registry bookmark categories were not properly selected
-Bug solved: registry URL shortcuts would not properly select the specified registry key
-Registry file open and save dialogs now properly restore the last settings
-Documentation update on registry bookmark functionality

Improvements in v4.01 since v4.00:

-Bug solved: the registry monitor had a serious problem which had slipped into the v4.00 release which could crash a system
-Bug solved: the undo menu was mistakenly invisible, although the functionality was present
-Bug solved: certain buttons and menu options were mistakenly greyed out when editing the registry
-Bug solved: when searching remote registries and selecting a registry key or value, Registrar would present you the key or value on the local machine rather than on the remote machine
-Bug solved: a certain problem related to the functionality of exporting and importing registry bookmarks has been resolved


License Agreement

Software License Agreement

The software Registrar Registry Manager including its documentation and all its content is legally protected by copyright. Use of the software is only allowed in accordance with this license agreement.

In this agreement:

"software" or "program" means the software product Registrar Registry Manager that you have purchased or obtained for evaluation including its documentation and all its content.
"trial version" means a copy of the software distributed for evaluation purposes merely which is described as such by the software.
"registered version" means a copy of the software purchased from us and which is not described as a trial version by the software.
"we" or "us" means Resplendence Software Projects, an Amsterdam-based software company.
"you" means the end user of the software.

This agreement is between you, the end user of the software Registrar Registry Manager and Resplendence Software Projects and explains how you may use both trial and registered versions of the software. If you do not agree to the terms and conditions of this agreement you should in no way use, copy or install the software.

The software is fully protected by copyright under Dutch law and international treaty provisions.

You may use a trial version of the software for a period of up to 21 days for evaluation purposes, to determine whether the software meets your needs before purchasing it. When this period has ended you agree to purchase a registered version of the software or otherwise to stop using it.

The trial version of the software may be used or installed on as many computers or systems as required to perform your evaluation. Your 21-day evaluation period starts as soon as you first install the software on any system.

Once the evaluation period has ended and you purchase the registered version, you agree not to use or install the software on more computer systems than the number of system licenses you have obtained for the software. The registered version of the software is obtained by purchasing one or more system licenses. A system license grants you the right to use the software for the benefit of one computer system. Each computer system on which you install or run the software as well as each computer system to which you remotely connect using the software requires a system license. If multiple computer systems are involved in an operation using the software then a system license will be required for each computer system involved in the operation.

You may copy, distribute and publish the trial version of the software only if you include all of the files that you originally received with your trial version. When you distribute the trial version of the software you agree to inform the recipient that the copy is to be used for a time-limited evaluation period and that a registered version of the software will have to be purchased once the evaluation period has ended. You agree not to sell trial versions of the software.

Once you have purchased and received the registered version you are allowed to make copies of the software for archival purposes only. You agree not to distribute or copy the software or any part of it without the advance written permission of Resplendence Software Projects.

We don't promise that the Program will be free of bugs or program errors. If you report a program error or bug to us, we will do our best to correct it. If we issue a maintenance release for the Program which includes a correction for an error you reported, we will assist you in downloading it, or send you a copy of that maintenance release at no charge if you request it. We will only do this for maintenance releases, not for new major releases or other new versions of the software.

DISCLAIMER FOR COPIES OF THE TRIAL VERSION OF THE SOFTWARE:

YOU ARE NOT PAYING FOR THE TRIAL USE LICENSE FOR YOUR COPY OF THE TRIAL VERSION OF THE SOFTWARE. ACCORDINGLY THE TRIAL VERSION IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND.

DISCLAIMER FOR COPIES OF THE REGISTERED VERSION OF THE SOFTWARE:

WE DISCLAIM ANY WARRANTIES, EXPRESS OR IMPLIED, ORAL OR WRITTEN, INCLUDING ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

LIMITATION OF LIABILITY:

IN NO EVENT SHALL WE BE LIABLE FOR ANY INCIDENTAL, CONSEQUENTIAL, OR PUNITIVE DAMAGES WHATSOEVER ARISING OUT OF USE OF THE SOFTWARE. SOME STATES AND COUNTRIES DO NOT ALLOW EXCLUSION OR LIMITATION OF LIABILITY FOR INCIDENTAL OR CONSEQUENTIAL DAMAGES, THEREFORE THE ABOVE LIMITATION MAY NOT APPLY TO YOU.


System Requirements

Registrar Registry Manager requires a PC running one of the following operating systems:

  • Windows XP Home Edition
  • Windows XP Professional
  • Windows XP Professional x64 edition
  • Windows 2003 Server
  • Windows 2003 Server x64 edition
  • Windows 2000 Server
  • Windows 2000 Workstation
  • Windows NT 4.0 Server
  • Windows NT 4.0 Workstation

Note that starting with version 4.00, Windows 95,98 and ME are no longer supported. The software requires at least 32MB of RAM and 5MB of free hard disk space.

Version 4.70 or higher of COMCTL32.DLL must be installed on the system. This may be missing on Windows NT 4.0 only if no Internet Explorer 3 or higher installed. The program checks for this at startup and proposes to download a Microsoft distributed update if necessary.

All operations performed with this program are subject to the access rights of the user that is currently logged on. This means that certain registry operations may fail if no sufficient user rights are available, for some actions administrator rights are required.


Installation

Installing Registrar Registry Manager

Before installing Registrar Registry Manager, uninstall any previous versions or trial versions of the program by opening the Control Panel and selecting Add/Remove Programs. Registrar Registry Manager comes distributed as an executable file. Run this file and follow the instruction on screen to install the program. A shortcut will be placed on your desktop which allows you to run the program.

Uninstalling Registrar Registry Manager

Open the Control Panel and select Add/Remove Programs. Local the title Registrar Registry Manager in the list and select it to remove it.


Licensing and Ordering Info

Licensing

Registrar Registry Manager is licensed per computer system. A system license allows you to install, use or remotely connect to one computer system. For each system you are using Registrar Registry Manager you will need to obtain a license. Use and installation of this program is subject to the terms and conditions of the Software License Agreement.

Registered users will receive technical support and free updates for the lifetime of the product.

For more information, visit our website on licensing Registrar Registry Manager.

Pricing

Single system licenses cost EUR 44.95. Customers ordering 10 licenses or more will receive discounts through the Enterprise Licensing Program. Site Licenses are also available.

Ordering Online

You can order online with your credit card over a highly secure connection and obtain a registered version immediately.
Browse to http://www.resplendence.com/buynow to visit our online store.

Ordering by Phone, Fax or Purchase Order

Please browse to our online store at http://www.resplendence.com/buynow and follow the instructions on screen.

Contacting us

You can find out how to contact and find our office location at the following website: http://www.resplendence.com/contact


Contact and Ordering Info

Support and Contact Info

Technical Support

If you wish to submit a bug report, suggestion or other comment then please fill in the form at our website:
http://www.resplendence.com/support

You can contact us at the following address:

Resplendence Software Projects Sp.
Via Hanoi 3
40052 Baricella
Italy
Tel: +39 (340) 2742348
Fax: +31 (84) 8768066
email: info@resplendence.com
web: http://www.resplendence.com


Tips

Frequently asked questions and tips

Does this program have a read-only option so I can browse safely without making any changes ?
Yes, select Tools -> Options from the main menu and check the box 'Read-only mode'.

Does this program support command-line options to perform registry operations ?
No, we have released another tool for this purpose. Check out our website for the product Registrar for the Command Line.

Does this program support the 64 bit edition of Windows XP or 2003 Server ?
Yes, starting with v4.00 the 64 bit editios of Windows are also supported.

I am upgrading from a previous version. Do I need to uninstall it first ?
Yes, you can uninstall Registrar by opening the Control Panel and selecting Add/Remove programs. If you install a new version on top of the old one, the software will get listed multiple times in the Add/Remove programs applet.

I have selected a root registry hive but the Export button is greyed out and disabled. Why is this ?
This is to prevent you from using the Import/Export feature as a backup tool. Reimporting a root registry hive that was previously exported in this manner may render your system unusable because the operating system may detect this as a tampering with your license.

Why does this program not have indicators to distinguish the dangerous registry keys from the regular ones ?
The authors of Registrar Registry Manager suggest that extreme care should always be taken when operating the registry. We do not believe it is possible to easily make a distinction between dangerous and 'safe' keys.

Why some registry keys in my registry appear in red ?
These are system critical keys which are normally only accessible from the System account.

Can I use this program to modify registry configurations or backups on disk ?
Yes, you can open registry hive files for editing like those which make up the NT registry configuration like the files which make up your systems registry. Also, registry backups made by Registrar or hive files saved by regedt32.exe can just be opened for editing using Registrar Registry Manager.

How can I repair a broken Windows installation ?
Locate the files which make up the systems registry, these are normally located in the %SYSTEMROOT%\system32\config directory. Open the files for editing by selecting File -> Open for Editing from the main menu. Note that large registry hive files may take some time to be processed to be opened for editing by Registrar. Make the necessary changes. When you close the editing window, you will be prompted to save the changes you made.

I am performing a search on the entire registry. Why only HKEY_LOCAL_MACHINE and HKEY_USERS get searched and not the other rootkeys ?
>All other registry rootkeys (HKEY_CLASSES_ROOT etc.) are actually direct or indirect subkeys of these two main registry rootkeys. This means that if all rootkeys would get searched, hits could be reported twice.

I am running Windows 95 and I received the following error: Exception ESockError in module rr.exe at xxxx: Successful WSAStartup not yet performed.
 What can I do to run the program ?
>This message appears on some older versions of Windows 95 and can be solved by installing the Winsock2 update which can be downloaded from Microsoft's site: http://www.microsoft.com/windows95/downloads/contents/wuadmintools/s_wunetworkingtools/w95sockets2/default.asp

I am running NT and I received the following message while operating the program: Windows - Low on Registry Space. Your maximum registry size is too small. To increase your registry size, open Help, find "registry size limit" in the index, and follow the instructions. What does this mean ?
>The space Windows has reserved for the registry is not sufficient for the operation to complete. It is highly recommended that you increase your registry size, which can be done by entering the control panel, selecting system and performance.

I notice that every time I open a registry key for editing, new keys are created and my registry seems to be growing
When using the feature to edit registry files on disk, temporary registry space is used to store the contents of the file. The temporary registry keys that will be created for this purpose are volatile which means that they will automatically get deleted the next time the system is rebooted.

When I start the registry monitor I get the message: Error: Could not start monitor
This error may occur if you run Registrar without following the installation procedure. Make sure that the file RRSPY.SYS is located in your System32 folder.

I am a registered user and lost my username and password. What should I do ?
You can retrieve your password from the following webpage: http://www.resplendence.com/lost


The Windows Registry

The Windows Registry is a centralized database which is used for storing application and system data. Registry data is stored in values which are organized in keys, similar to the way files are organized in directories. The authors of this software assume you are already familiar with the basic organization of the Registry.


Overview of Registry Rootkeys

This table gives an overview of all common registry rootkeys. Some rootkeys are not absolute rootkeys but are symbolic links to subkeys of one of the two main rootkeys HKEY_LOCAL_MACHINE and HKEY_USERS. This explains why only these two registry rootkeys get searched when using the search functionality in Registrar to perform a global search on the entire registry.

Rootkey | Abbreviation | Type of rootkey | Points to
HKEY_LOCAL_MACHINE | HKLM | absolute | -
HKEY_USERS | HKU | absolute | -
HKEY_CLASSES_ROOT | HKLM | symbolic link | HKEY_LOCAL_MACHINE\Software\Classes
HKEY_CURRENT_USER | HKCU | symbolic link | a subkey of HKEY_USERS containing user profile
HKEY_CURRENT_CONFIG | HKCC | symbolic link | HKEY_LOCAL_MACHINE\SYSTEM\ CurrentControlSet\ Control\IDConfigDB\Hardware
HKEY_DYN_DATA | HKDD | virtual rootkey | Virtual registry rootkey


Registry Path Syntax

When using Registrar, the general format for specifying registry keys and values is: [\\machineName\]rootKey\keyName[\\valueName]

machineName

 (Optional) Name of the computer on which the registry key or value is located. If not specified, the local machine is assumed.

rootKey

 Name of the rootkey in which the key or value is located. This can be either HKEY_CLASSES_ROOT, HKEY_CURRENT_USER, HKEY_LOCAL_MACHINE, HKEY_USERS, HKEY_CURRENT_CONFIG, HKEY_PERFORMANCE_DATA or HKEY_DYN_DATA. Abbreviations are allowed (HKCR, HKCU etc.)

keyName

 (Optional) Name of the registry key.

valueName

 (Optional) Name of the value. If the \\ (double slash) is omitted then a registry key is assumed. To specify the default value, add \\ to the key name.
Examples

HKEY_LOCAL_MACHINE\Software\Fred
Specifies registry key HKEY_LOCAL_MACHINE\Fred on the local machine.

HKLM\Software\Fred\\value1
Specifies a value value1 in key HKEY_LOCAL_MACHINE\Software\Fred on the local machine.

\\Saturn\HKEY_CURRENT_USER\Software\Microsoft\Windows\\
Specifies the default value in registry key HKEY_CURRENT_USER\Software\Microsoft\Windows on machine Saturn.

This syntax is also valid when specifying a registry path using the reg: URL protocol. At a command prompt or explorer address bar, just type reg:[\\machineName\]rootKey\keyName[\\valueName]. For more information, read Registry Shortcuts.


Registry Size Limit

The Registry Size Limit (RSL) is a universal maximum for registry space that prevents an application from filling the paged pool with registry data. The total amount of spaced that can be consumed by registry data (hives) is restricted by the registry size limit. Windows NT and 2000 have a built-in limit for the maximum size of the registry. That means that if the total size of the registry reaches the maximum size, all consecutive registry write operations will fail. Depending on the type of operation you perform with Registrar, a certain amount of free registry space will be needed. Some operations may require quite a bit of registry storage like editing or importing a registration file or when undo information has to be stored on a large copy operation. When performing a registry restore on Windows NT 4.0, a lot of free registry storage is needed to temporarily hold the new registry until the system is restarted.

Therefore it is very important to keep an eye on the Registry Size Limit and ensure that always enough registry quota is available. The maximum registry size is controlled by a registry value HKLM\SYSTEM\CurrentControlSet\Control\\RegistrySizeLimit. If this value is 0 or missing from the registry, Windows calculates the Registry Size Limit according to the size of the paged pool. To change this value in Windows, select Control Panel->System->Advanced->Performance Options->Change.
Registrar also allows you to set this value in the Shell Options Dialog.

For more information, refer to the following article: http://support.microsoft.com/support/kb/articles/Q124/5/94.asp or follow the links from our Registry Support Website http://www.regtips.com.


About Windows x64 Edition

Starting with version 4.00, Registrar Registry Manager also supports the 64 bit editions of Windows 2003 Server and Windows XP for AMD64 and compatible processors. On Windows 64 bit editions, certain portions of the registry have a 64 bit part and a 32 bit part. The 32 bit part is a subset of the 64 bit registry. The operating systems support a registry redirector for compatibility with 32 bit applications. When running on Windows x64 edition, by default Registrar Registry Manager will present you the 64 bit portion of the registry. You can change this option in the Editor Options menu, which will allow you to edit only the 32 bit portion of the registry instead.

More information about the registry layout on Windows x64 can be found at
http://msdn.microsoft.com/library/default.asp?url=/library/en-us/win64/win64/registry_layout_in_64-bit_windows.asp

More information on the registry redirector can be found at
http://msdn.microsoft.com/library/default.asp?url=/library/en-us/win64/win64/registry_redirector.asp


Editing your registry

Browsing the Registry

Registrar Registry Manager provides a common and user friendly interface which allows you to quickly find the keys and values you are looking for.

When Registrar starts normally, the main registry editing window will appear. You will see a tree and a view representing the keys and values of your registry. The interface is very similar to Windows explorer, but then instead of folders you see registry keys and instead of files you see registry values. You can use the same navigation buttons (forward, back, up) as in Explorer. Also, the copying and moving of keys can be accomplished in the same manner through cut, copy and paste or using drag and drop.

Browsing the local registry in the main registry window.

Navigating the registry

You can navigate through the registry tree to find the key you are looking for. (Note: if the registry tree is not visible, select Registry Tree from the View menu). By selecting a key in the registry tree, the contents automatically become visible on the right.

Address bar

If you know the exact name of the registry key or value you want to access, you can directly type it into the address bar for an immediate registry jump. The address bar can also be used to copy the current key name or value to the clipboard.

Expanding and collapsing registry branches

The + and - signs in the registry tree can be used to expand and collapse registry branches by clicking on them. Note that there is an option Expand All that you can choose from the menu that appears when you right click on a key in the registry tree. Selecting this option will expand all branches that can be found in any of the subkeys of that branch. Depending on the amount of subkeys of the branch, this can take a long time.


Editing Registry Keys

This page describes how to perform common editing operations on registry keys.

Creating new registry keys

You can create new keys by selecting the key under which you want to create a new key and then select New key from the Edit menu. Alternatively, you can select the parent key under which you want to create a subkey in the registry tree choose Create subkey from the popup menu that will appear when you right click on it. The button on the toolbar can also be used for this purpose.

You can create a volatile registry key by selecting Create volatile key from the Edit menu. A volatile key is a temporary registry key which takes up no disk space and will automatically get deleted the next time you reboot your system.

Copying registry keys

You can quickly copy a registry key including all its subkeys and values to another key by using drag and drop. Simply drag a registry key onto another key to perform a copy operation. Note that the option to allow this must be enabled in the Advanced Options Dialog.
Another way to copy registry keys is to use the clipboard. Just select Copy from the main menu and Paste it as a subkey of another registry key.
Note that security and class information is not copied on Windows XP/2000/NT.

Moving registry keys

You can move registry keys by using the clipboard. Just select Cut from the main menu when the registry key to be moved is selected. Select Paste to move it as a subkey of another registry key.
Note that security and class information is not moved on Windows XP/2000/NT.

Deleting registry keys

To delete a registry key or value, select the key you want to delete and select Delete from the main menu or from the popup menu that appears when you right click on the key.
Note that when deleting keys, all subkeys and values under the key will also be deleted.

Renaming registry keys

Select the item you want to be renamed and choose Rename from the Edit menu or the popup menu. You will be prompted for a new name.

Properties for registry keys

Registrar Registry Manager allows you to view registry keys and values in detail. Select the item for which you would like to see the property page, and choose Properties from the Edit menu or the popup menu. Refer to Key Properties or Editing registry values for more details.


Registry Key Properties

Registrar Registry Manager allows you to view detailed information on registry keys including statistics.

To display the properties of a registry key, select any registry key in the tree or view and click with right and choose Properties from the popup menu that appears.

Registry Key Properties
Advanced registry key property pages displaying detailed information and statistics.

Description of displayed fields

The keyname field displays the path of the registry key. The computer field displays the name of the computer the key is on. If the registry key has been bookmarked then the Description field will display its description.

In the key contents fields, there are two columns which display the statistics of the registry key as well as the registry keys including all its subkeys. Subkeys means the number of children of the registry key. The Values field displays the amount of values of the registry key. Largest value displays the largest data size among its keys.

The classname displays the classname of the registry key which may have been set upon creation. Last write time represents the moment the last write activity took place on this key. Owner displays the object owner of the registry key. In order to take ownership, press the Take Ownership button.

The buttons Permissions and Auditing will bring up Windows security dialogs. Refer to Registry Permissions or Registry Auditing or press Help from within these dialogs for more information.


Editing Registry Values

Creating new registry values

You can create new keys by selecting the key under which you want to create a new key and then select New key from the Edit menu. Alternatively, you can select the registry key in the tree or in the view and choose Create subkey from the popup menu that will appear when you right click. Also, using the button on the toolbar can be used for this purpose.

Deleting registry values

To delete a registry key or value, select the item you want to delete and select Delete from the main menu or from the popup menu that appears when you right click on the key.
Note that when deleting keys, all subkeys and values under the key will also be deleted.

Renaming registry values

Select the item you want to be renamed and choose Rename from the Edit menu or the popup menu. You will be prompted for a new name.

Properties for registry values

Registrar Registry Manager allows you to view registry keys and values in detail. Select the item for which you would like to see the property page, and choose Properties from the Edit menu or the popup menu.

Refer to Key Properties or Editing registry values for more details.

Customizing the display

The View option from the main menu offers several options to visually customize the program. You can choose whether the registry tree should be displayed, hide and make visible any of the toolbars, choose between large and small icons, and details to be displayed in the registry view (on the right).

Even many more options can be found in the Advanced Options dialog.


Registry Value Properties

Registry Data Editor

Registrar Registry Manager offers a flexible editor for setting or changing registry values.

To enter the value property editor. Double click on any registry value. The look and behavior of the editing window depends on the type of value you are editing.

If you are editing a value of the type REG_SZ or REG_EXPAND_SZ (string) there will be an editing line for setting the current value.
If the value you are editing is of the type REG_MULTI_SZ (multi strings), a text editing box will appear in which you can enter lines.

If the value you are editing is of the type REG_BINARY or any other type that is not listed, a dialog will come up similar to the one displayed here. Three columns will be displayed which allow editing of the binary value. The first column displays the memory offset of the value which is being edited. The second shows a hex dump of the contents of the value and the third shows the character representation of the value.

Note that you can also change the type of the value you are editing. The type of editor will change accordingly if necessary.


Search & Replace

Advanced Search & Replace

Registrar Registry Manager offers a fast and convenient way to search the registry or a specified key for text occurrences. Matching items can optionally be replaced with other text or deleted.

Searching the entire registry

To search the entire registry, select Search from the main menu so that the search tool window will appear. Make sure the Where to search field is blank or displays Registry. Optionally enter text in the Text or data to search for field. Click the Search button to start the search process. Rootkeys HKEY_LOCAL_MACHINE and HKEY_USERS will be entirely searched and matches will be displayed in the search results view.

Searching a specific registry key

To search a specific registry key, ensure that the registry key is selected in the editor and choose Search from the popup menu that appears when you right click on the key. Otherwise, you have the possibility to type in or select your registry key in the Where to search fields as soon as the search tool window appears.

You can select whether or not to search key names, value names or value data.

Searching for text

If you wish to search the registry for a certain text occurrence, type in the search text you want the registry to be scanned for in the Text or data to search for field. Optionally you can have environment strings expanded. This means that environment variables will be expanded before they are being searched. For instance, if your Windows directory is c:\windows then also occurrences of %systemroot will be reported as found matched. For more information on environment variables refer to the Windows documentation on this topic (choose Start button, Help and type in environment variables).

Note that if no text is specified, all existing keys and values will be reported as matches but the search process will run much slower.

Searching for binary data

If you wish to search the registry for binary data rather than a simple text string, make sure the option Binary Data Search is selected in the Type of Search selection box.

Regular Expressions Searches

If you wish to search the registry for advanced character patterns which allow wildcards and other powerful operators, then select Regular Expression Search from the Type of Search selection box. Registrar Registry Manager supports Perl style regular expressions. For an in-depth reference on regular expressions refer to the Perl documentation at http://www.perldoc.com/perl5.6/pod/perlre.html.

Starting the search

When all the options are set, choose Start to start searching. All matching registry key names, value names and data will be reported in the results view.

Replacing text matches

Registrar offers functionality to replace text occurrence with other text. To do so, click the Replace button after selecting one or more matching keys or values in the view. To select multiple matches hold down the CTRL key down while selecting them. You will be presented with a dialog which prompts for a replacement text string and asks whether you want to really replace all matching values, value names and key names.

Deleting matching keys or values

Registrar allows you to destroy all matching items. To do so, select the matches you wish to be deleted and select Delete from the popup menu that appears when you right-click on them.

Exporting search results

If you wish to export all search results to a registration file then click the export button. All selected occurrences will be exported.


Bookmarks

Bookmark Editor

Registrar offers a bookmark system that allows you to quickly find back registry keys and values that you access often. The bookmark editor allows you to add a description to a registry key or value which will become visible in every registry editing window. You can optionally add a color to a bookmarked registry key or value so that it can easily be distinguished from other keys and values.

Bookmarking a registry key or value

To bookmark a registry key value while editing a registry, select a registry key or value and select Add to bookmarks from the Bookmark item in the main menu or click the bookmark button. A screen will appear which allows you enter a description for the item you selected.

The bookmark edit window will let you edit registry key/value descriptions, links as well as set a color for it.

Editing a bookmark item

In the edit bookmark window you can set a description for the bookmark which will appear in all registry editing windows. You can associate the bookmark with one ore more web pages, like an article where you learnt about this particular registry key or value. You can also choose a color for the registry key so that you can easily recognize it while editing a registry. When you are done with the settings click the Apply button to store the changes.

Bookmark manager

You can use the bookmark manager to assign bookmarks to categories, delete existing bookmarks and categories. It also allows you to easily search and export bookmarked items.

Bookmark Editor The The bookmark manager allows you to manage bookmarks and categories.

Assigning a bookmark to a category

Select the bookmark so that its path name appears in the keyname and value fields. Now select the category of your choice by selecting it in the category tree or by typing its name in the category field. You can create or delete categories by selecting a category in the category tree and pressing the New Category or Delete button. When you're done click the Update button to store the changes. Alternatively you can drag a bookmark description and drop it to any category of your choice.

Searching bookmarks for text

To search for any text anywhere in the bookmark's keyname or description, click the Search button. You will be prompted a screen where you can search for text. After you click the Search Button, Registrar will search for bookmarks with the text you have entered in their descriptions, key and value names.

Importing and Exporting bookmarks

You can import an export bookmarks using an .ini type file format. The default extension for a Registrar bookmark file is .rrb but the format is not different from the .ini file format.

To import a set of bookmarks from a Registrar bookmark file with a .ini, .rrb or .rrbm (new Registrar 4 format) extension, click the Import button.

To export all bookmarks, click the Export button. If you wish to export only a single bookmark category rather than all bookmarks then right-click on any category and select Export Category from the popup menu that appears.


Undo

Undoing registry changes

Registrar Registry Manager tracks all registry changes you perform with the program and allows you to undo them individually in any order.

In order to undo the last registry operation, just select Undo last operation from the Undo menu. Otherwise choose Undo history to receive an overview of changes registry actions performed with the program.

Description of the columns in the view

The first column in the view displays the moment an action took place. The second column describes the action that was made. The third column tells the status of the action. If an action has just been performed, the status will be blank but If an action is undone after it will receive the status Undone or Redone.

The fourth column displays the name of the key involved in the registry action. In the case of a copy operation, this will represent the destination key. You can click the Jump To button to visit the registry key in the editor.

The fifth column tells the name of the value that has been affected by the action. The columns before and after display the contents of a registry value before and after the operation took place.

How to undo registry operations

The view displays the registry actions that have been performed with Registrar Registry Manager. In order to undo an action, just select it and click the Undo button.

It is possible however, that actions are not immediately undoable. This happens when multiple changes occur to a registry key or value. For instance if you create a registry value and after change it you cannot immediately undo the creation of the value because the value has changed. In that case you should undo the setting of the value first after which the creation of the value can be undone. This behavior however can be suppressed. In the Advanced Options dialog there is an option that allows you to restore any operation made by the program regardless of changes that have been made to the affected item.

Note: only changes to the local registry can be undone. The software does not track changes made to registry files or changes made to remote registries. Also security changes to registry keys cannot be undone.


About Registry File Formats

Differences between Registry File Formats

Registrar supports both common file formats used by the native registry editors REGEDIT.EXE and REGEDT32.EXE. This table gives an overview of the different formats and their features.

 | registration files | registry hive files
Used by | REGEDIT.EXE, third party software | Windows, REGEDT32.EXE, REGEDIT.EXE on Windows XP
File Extension | .reg | .hiv, .dat or none
Format | ANSI or UNICODE ini style text file | binary
Compatibility | all Windows versions | Win95/98/ME and WinXP/2000/NT have different formats. Other formats exist for XP.
Registry key storage | absolute (contains full path name) | relative (does not store original path names)
Class Information | not stored | stored
Security Information (WinNT/2000) | not stored | stored (permissions, auditing, ownership, classname)
Volatile Registry Keys (WinNT/2000) | stored | not stored
Suitable for backup | no | Windows XP/2000/NT

RegEdit registration files are registry files of an undocumented format which allow you to add data or delete keys to the registry. They can be useful for creating redistributable registry scripts but should not be used for backup purposes.

All versions of RegEdit contain serious bugs which cause you to loose registry data of certain kinds. Furthermore, registration files do not store any class information, security descriptors and make no distinction between volatile and non-volatile keys.


Importing and Exporting Registry Keys

Registrar Registry Manager allows you to import and export both Windows registration files and registry hive files.

Importing registration files

To import a registration file, choose Import .reg file from the File menu. You will be given the option to browse to your .reg file. After selecting, the contents of the file will be imported (merged) into the local registry.

Exporting registration files

In order to export a registry key, ensure the key you wish to export is selected (its title will also be displayed in the address bar). Now choose Export .reg file from the File menu. If you wish to export the entire registry, select the top of the tree (titled Registry). Note that only the rootkeys HKEY_LOCAL_MACHINE and HKEY_USERS get exported because all other rootkeys are included (they can be found as subkeys of any of these two rootkeys).

Warnings about Registration files

note.gif (980 bytes) RegEdit compatible registration files are suitable for creating distributable registry scripts but should not be used for backing up or storing data. Because of bugs in all existing versions of regedit.exe, certain registry values which got exported in a registration file may just get ignored when reimported. This problem exists with both ANSI and UNICODE reg files.
Because Registrar uses the same format of registration file as regedit.exe, you cannot solve this problem by using Registrar for importing and exporting registration files.

It is also possible that certain registry keys do not get exported because the user who is currently logged on may have insufficient permissions to read them. Typically, a reg file does not contain any information on security, permissions and ownership settings.

To backup your registry, choose Backup Registry from the File menu, or read more on Backing up and Restoring your registry.


Backup and Restore

Registry Backup and Restore

Registrar Registry Manager offers the possibility to make a backup of the entire registry which can be restored later.

When you choose to make a backup, a snapshot of the entire registry will be written to disk. You will be prompted for a description that will be saved along with the backup. A backup may take several seconds or longer, depending on the size of your registry. You will not be able to use Registrar Registry Manager while a backup is in progress.

Note that backing up your registry is not the same as exporting to a registration file. A backup will also save keys which are generally not accessible by users and will not get exported when using the export feature. Also security settings are stored, including permissions, auditing and ownership information and not just names and contents of the keys and values.

note.gif (980 bytes) Backing up your registry often is a good safety measure. Many application and system related problems can be solved by restoring a previous backup of your registry. In such a case it is better to have a recent backup available that closely matches the data of your current registry situation.

Creating a Registry Backup

In order to create a backup, click the Backup button and wait. An image of the entire registry, including the entire rootkeys HKEY_LOCAL_MACHINE and HKEY_USERS will be written to disk. The program will notify you when the backup is ready.

Restoring a Registry Backup

To restore a registry backup which was made by Registrar, click on one of the listed available backups, and press Restore.

The restore process will take place immediately. When the restore is complete, the system will be restarted automatically. The new registry will become effective the next time the system is restarted.

The Backup To and Restore From buttons allow you to backup to and restore from a specific folder. You will be prompted to browse to a specific folder which contains a registry backup made by Registrar.

Note that after a registry restore, your registry has also been defragmented. For more information refer to Defragmenting your Registry.

Deleting Registry Backups

You can delete backups which are no longer needed by pressing the Delete button.

Command Line Options

There are command line options to create an automated backup or restore. See Command Line Options for details.


Editing registration files

Registrar Registry Manager offers an advanced editor which allows you to edit registry files on disk such as registration files and registry hive files such as registry backups on disk. This functionality allows administrators to edit and recover the registry of non-bootable Windows installations.

In order to edit a file, choose Open for Editing... from the File menu and select the file you want to edit. A registry editing window will appear which allows you to edit your registration file in the same way you edit the registry.

You will be presented a new registry window with the contents of the file. Certain functionality, like bookmarks and undo will not be available in this editor.
When your are finished editing, choose Save from the File menu.

Opening a Registry Image for Editing

Registrar allows you to edit binary registry images on disk such as a registry backup, a registry hive file or a Windows system file which makes up the registry of a Windows installation. This feature allows you to edit and repair a registry configuration on disk which is damaged and would otherwise have remained non-bootable. To open a registry image for editing, select Open for Editing... from the main menu and select files of type RegEdt32 compatible hive files in the file type selection box. Now browse to the registry image on disk you would like to edit and select it. Registry hive files which make up the systems registry are usually located in the %systemroot%\system32\config directory. A registry editing window will come up which allows you to change the contents of the file. Note that when editing registry hive files, also registry security information such as permissions, auditing and ownership will be saved along with the file.

For more information on differences between different registry file formats, read Differences between Registry File Formats

When you open a registry file for editing, Registrar needs some temporary storage space to prepare the editing window and process the file for editing. The keys generated for this purpose are volatile which means that they will automatically get deleted as soon as you reboot your system.

When opening a registry file for editing on Windows NT or 2000, make sure that you have enough registry quota available. In the case your registry size limit is too small, you may receive an error message. Change your registry size limit to a bigger value which leaves space for editing larger registration files.


Remote Registry Editing

Registrar Registry Manager allows editing registries on remote computers in the network.

In order to edit the registry on other computer, choose Connect to Remote Registry from the File menu. Now enter the name or address of the computer you wish to connect to and click Ok. If the registry on the remote computer is accessible, then the contents of the registry will appear in a new window. You can edit a remote registry in the same way as your local registry.

Certain functionality, like the registry monitor, backup, restore and undo will not be available. In the advanced options dialog there is a setting that allows you to make your local bookmarks become available when editing remote computers.

note.gif (980 bytes) Note: registries on other computers in the network may not automatically become accessible. One of the conditions is that the Remote Registry Service is running on both the client and the server machine. Also connecting using certain combinations of Windows operating systems may not be working well. Please refer to your Windows documentation to setup Remote Administration or Remote Registry Editing. Our Registry Support Website www.regtips.com contains some links to articles on this subject.


Registry Activity Monitor

Registrar Registry Manager offers you the option to monitor registry activities made by the system and external applications in detail. To start the monitor, press the Start button. In order to allow changes by external applications to be restored, you may be prompted to allow the software make a backup of your registry if no recent backup is available.

If the monitor is running, each time an application or the system performs a registry change operation, an entry will appear in the view.

Explanations of columns in the monitor view

The first column represents the time the action took place with the precision of a tenth of a microsecond. Note that the time displayed here may be slightly different from the moment the activity occurred. Registrar ensures that each operation displays a unique time-stamp so that columns in the view can be resorted in their original order.
The second column tells you the type of operation that took place. These actions correspond to Windows kernel service names.
The third column displays the name of executable process that requested the activity.
The fourth column displays whether the action was successful or generated an error.
The fifth column reflects the name of the registry key that was affected.
The column after that shows the name of the value that was affected by the activity. If no registry value was involved, this column remains blank.
The seventh column displays registry data that may have been processed with the operation, the column after that shows the registry value type and size in the case the registry activity involved a successful operation on a registry value.
The value type column displays the name of the registry value type in the case the item is a registry value. The size column displays the size of the registry value
The HKEY column shows the handle of the registry keyPID column shows the process ID of the process involved in the action, the ThreadID shows the ID of the thread that performed the action.

Restoring registry changes

In order to restore the changes since the last backup, press the Restore button. See Registry Backup and Restore for more details.

There is an option to save the activity log to a registration file. To do so, click the Save log button. Each action will appear on a new line and the columns will be separated by commas.

Advanced Options

Several options exist which allow you to control the behavior of the monitor. In the Advanced Options Dialog you will find several options that allow you to control the behavior of the registry monitor and filter unwanted operations.


Defragmenting the Registry

Note: this functionality is only available when running on Windows XP, 2000 or NT.

Over time, your Registry may become fragmented which may affect its performance. Registrar Registry Manager allows you to defragment your registry with a single-click. To enter the Registry Defragmentation Tool, choose Defragment Registry from the Tools menu.

Click the Defragment button to start the Defragmentation process. Note that a reboot is required after the defragmentation process has finished. The defragmentation process consists of a total registry backup, restore and a reboot.


Advanced Registry Compare Tool

Registrar Registry Manager offers an advanced registry compare tool which shows you the exact differences between two registry keys. The keys may reside on separate computers or even be stored inside a registration file.

Comparing two registry keys
First select two registry keys to be compared with each other. Click the Add button to browse and select two registry keys of you choice. You can select whether to compare any combination of key names, value names and registry data. If you want to narrow down the set of registry keys to be compared you can enter a text string to search for. Only registry keys, values and data containing the entered text will then be compared and displayed. Click the Compare button in the lower left corner of the screen to start the compare process. All selected registry keys, values and data entries will be displayed in the grid in two separate columns next to each other. The compare tool will display whether registry keys and values are present or missing and whether registry data in the selected sets are matching or different from each other.


File Reference Editor

The registry file reference editor shows you the file reference in your registry along with useful information such as the company name, origin and description of these files as well as their presence and location on disk. If you use this tool with caution and intelligence it can be very useful for cleaning your registry from entries which have been leftover by software applications which have been uninstalled and are not used anymore. However for the safety of your system please read our warning at the bottom of this page regarding registry references to missing files.

Searching for file entries
To start searching the registry for file entries, click the Search button at the lower left corner of the screen. The file reference editor will start searching the registry for file references in your registry. The file names will be displayed, along with their icons, file paths, file descriptions, company names and the registry locations where these files were found. A separate field will indicate if the file specified was also actually found on the hard disk. You can explore the file folders, file properties and registry locations of these file references by using the context menu which will appear if you right-click on any of these items..

Limiting the file search to a certain part of the registry

 It is possible to limit the search to a certain portion of the registry. To do so select a registry key in the field labeled Where to Search. You can browse for a certain registry key on any computer on the network by clicking on the Browse button next to this field..

Limiting the file search by specifying a text string

You can limit the search for file references by specifying a certain text to search for. Only registry entries that will contain the text specified in the Text or data to search for field will be reported.

Browsing the folder and registry locations of a file found

You can browse the file folders, file properties and registry locations of these files by using the context menu which will appear if you right-click on any of these items.

Using the File Reference Editor as a cleaning tool for registry references to missing files

 References to files in your registry which are not actually present on disk are often called orphan entries. Many third-party registry cleaning tools exist which delete such entries automatically for you. Note however that very often such tools are mistaken in their assumptions and create irreversible damage to your system settings. Leaving entries in your registry which are no longer used nearly never hurts. Note that very often registry references to missing files have a valid reason to be present, and the fact that a certain file is missing is no guarantee that you can safely delete such a registry entry. Often such an entry points to a file on a removable disk such as a CDROM so that it may not be actually found until the disk has been inserted. Certain software exists which copies files on the fly so that references to previously missing files temporarily point to a valid location. There are many scenarios in which orphan registry entries have a legitimate purpose and are needed for proper operation of a program. Therefore our suggestion is to never delete any registry or file entry unless you are absolutely sure both the file and the registry entry refer are leftovers of a program that you have previously uninstalled and is not in use anymore. This is also the reason why Registrar does not get distributed with a built-in automatic registry cleaner.


Registry Key Permissions

Registrar supports the security features of Windows by allowing you to control access to registry keys by assigning permissions to selected users.In order to access to the enter the permissions dialog, select the registry key to which you want to change the security settings and choose Edit Permissions from the Main Menu.

keyprop.jpg (15593 bytes)
Editing Registry key permissions on Windows NT 4

Editing permissions on Windows 2000


Registry Key Auditing

Registrar supports the security features of Windows by allowing you to auditing actions on registry keys. In order to access to the enter the auditing dialog, select the registry key to which you want to change the security settings and choose Edit Auditing from the Main Menu.

For more information on registry key auditing, refer to the Help documentation of regedt32.exe. Simply run regedt32.exe at a command prompt and select help. You will find specific information for your operating system on editing registry key permissions. Additional information is available by following the links from our registry support website www.regtips.com

Note that registry key auditing changes can only be undone by restoring from a registry backup.


Registry Key Ownership

Registrar supports the security features of Windows allowing you to view and take ownership of a registry key.

Taking ownership of a registry key is not a common operation. It is typically an operation that an administrator would use as a last resort to gain access to a registry key

To display the current owner of a registry key, select it and choose Properties from the Main Menu. The current registered owner of the registry key is displayed in the Owner field. To take ownership, press the Take Owership button.

 Displaying registry key properties including ownership.

For more information on registry key ownership, refer to the Help documentation of regedt32.exe. Simply run regedt32.exe at a command prompt and select help. You will find specific information for your operating system on taking registry key ownership. Additional information is available by following the links under the heading Registry Security from our registry support website www.regtips.com.


Editor Options

Registrar Registry Manager offers a set of advanced options which allow you to customize the behavior of the built-in registry editor and the program in general. To open the Editor Options dialog, choose Tools -> Options... from the main menu.

options.jpg (16772 bytes)

Read-Only Mode
If you want to browse your registry without having the fear to change it accidentally then this is a good safety option. If you check this box, changes to the registry will be blocked.

Show 64 bit registry when running on Win x64
If selected, the 64 bit portion of the registry will be displayed when running on Windows XP or 2003 x64 edition. If not selected only the 32 bit portion of the registry will be visible to Registrar..

Try to open registry keys by force if access is denied
This setting will allow you to view parts of the registry as if you were logged on as the Local System account Users normally do not have access to these keys and registry editors normally do not show their contents.

Automatically bring up value properties when creating new values
If this box is checked then you will automatically be taken to the value property editor when creating a new value.

When searching, do not display registry keys and values related to Registrar
Check this box to hide the registry keys which Registrar uses for storing internal data such as undo information. Often these can have confusing results.

Jump to last opened registry key on startup
If this box is checked, the program will always startup with the last opened local registry key.

Select existing parent key when jumping to a non-existing registry key or value
When selecting a registry key or value that does not exist, Registrar will instead select the parent key which most closely matches the address of the key or value.

Display error message when jumping to a non-existing registry key or value
When selecting a registry key or value that does not exist, Registrar will display an error message.

Prompts
Select Prompt before making any registry changes to have a confirmation box pop-up every time you perform a registry operation.
Select Prompt only before copying, moving, deleting or renaming keys or values will make you prompt for confirmation only when a potentially destructive registry operation takes place. have a confirmation box pop-up every time you perform a registry operation.
If you wish to have no confirmation prompts at all as a safeguard, then you can select the option Never Prompt when editing. However enabling this option is not recommended by the authors of this software as this may lead very quickly to corrupted registry data since an unintentional key press or drag & drop movement is easily made.

When dragging & dropping
Choose Do Nothing not to have any action take place when you drag one or more registry keys/values onto another key. If you wish to use drag & drop to perform copy operations on other registry keys, select Copy Keys/Values. If you wish to test if the contents of two registry keys are equal by using drag & drop then select Compare Keys.

Prefix to use on new keys
Here you can enter the name that will be given to each new key that you create with the program.

Prefix to use on new values
Here you can enter the name that will be given to each new value that you create with the program.


Options

Display Options

Registrar Registry Manager allows you to customize the visual appearance of the registry editing windows and views. To open the Display Options dialog, choose Tools -> Options... from the main menu and select Display.

options.jpg (16772 bytes)

Display abbreviated rootkey names
This option will make rootkeys be displayed with their abbreviations (HKLM, HKCU, HKLM, HKU etc.) rather than their full names. Note that when typing a registry pathname, abbreviated rootkeys will always be accepted at any address prompt regardless of this setting.

Display default values that are not set
Setting this option will make appear the default value in each registry key, even if it is not set.

Display registry keys in view
Enabling this option will make appear registry keys in the righter pane as well as values. This may be very convenient since file folders are also displayed like this in Windows Explorer. However it makes the program operate slightly slower, especially when operating on keys with many subkeys like HKEY_CLASSES_ROOT.

Display tooltips in registry tree
If this is enabled, tooltips displaying the full path name will become visible when moving the cursor over a registry key name which is not fully visible.

Font
Pressing this button will make appear the font selection box which will allow you to select a font that will be used in all registry views and windows.

Select items automatically
Makes registry keys, values and other items in the views automatically become selected when you move the cursor over them.

Underline items when moving cursor over them (hot track style)
Makes registry keys, values and other items become underlined (but not selected) when you move the cursor over them. This is called hot track style.

Show grid lines in view
will make appear thin gridlines in registry view windows which will divide all rows into columns.


Bookmark Options

Remote Options

The Remote Options tab allows you to specify settings which will become effective when editing registry on remote computers.

Make bookmarks also available in remote registry windows
If this option is selected, bookmarks will also be visible and functional in remote registry windows.

Display HKEY_CURRENT_USER on remote machines
Only if this selection box is checked, the HKEY_CURRENT_USER rootkey will be displayed when editing remote registries.

Show account name description for user SIDs on remote machines
 When editing registry keys on remote registries containing SIDs, a bookmark description will be added which reflects the account name of the SID. SIDs are identifiers which are used to uniquely identify users and groups.


Bookmark Options

The bookmark editor allows you to quickly find back registry keys and values which are often accessed. This page lets you control the behavior of bookmarks in Registrar.

options.jpg (16772 bytes)

Display bookmark descriptions in registry views
If this box has been selected, registry key descriptions will be displayed visible in main registry views.

Enable support for bookmark categories
If this box is not checked, you will not be able to create or view bookmarks in other categories than the main category.

When adding a key to bookmarks, open bookmark editor
If this box is checked you will automatically be taken to the bookmark editor when bookmarking a registry key from a registry editing window. Otherwise, the bookmark will be added but the registry editing window will remain visible.

Remember last accessed bookmark
If this is enabled, Registrar will remember the last accessed bookmark in the editor the next time you start the software.

Bookmark button on toolbar bookmarks current key or value
If this box is selected, the registry key or value which is currently selected in the registry editor will become bookmarked when clicking the Bookmark tool button or pressing Ctrl-B. Otherwise, only the bookmark editor will be displayed without having the last accessed registry key or value become bookmarked.

Expand all categories at startup
Check this box if you want to find all categories expanded when opening the bookmark editor.

Display colored bookmarks with bold fonts in editor
If this box is checked, colored bookmarks will also be displayed with bold fonts in registry editing windows.

Add account name descriptions for user SIDs
If this box is checked, registry keys representing SIDs will receive a description which reflects their account name. SIDs are identifiers which are used to uniquely identify users and groups..

Convert Regedit favorites
Pressing this button will convert any existing Regedit registry favorites to Registrar bookmarks.


Registry Monitor Options

Monitor Options

Registrar Registry Manager allows you to customize the behavior of the Registry Activity Monitor in several ways. To open the Monitor Options dialog, choose Tools -> Options... from the main menu and select the Monitor tab.

options.jpg (16772 bytes)

Start the monitor automatically at startup
If selected, the registry monitor will automatically be started when Registrar Registry Manager starts.

Display key name in kernel object path syntax
If this option is enabled, registry key names will be displayed with their raw (unmodified) kernel object path name which starts with \REGISTRY\.

When starting monitor, prompt for backup when backup is older than ... hours
When this box is selected, the registry monitor will prompt you to create a backup if the last available backup is too old. This is a useful option if you are monitoring registry activity in order to undo it afterwards and wish to ensure a fresh backup is available.


Undo Options

The Undo system can be enabled, disabled and configured in several ways. To open the Undo Options dialog, choose Tools -> Options... from the main menu.

options.jpg (16772 bytes)

Store undo information on registry changes
Keep this box checked if you want undo information to be stored on registry changes so that you can undo them later. Only if this box is checked, registry changes will be tracked so they can be undone.

Display actions that have been undone
If this box is checked then registry changes which are listed in the Undo view will remain visible after they have been undone, so that you have the possibility to redo the action.

If undo cannot take place because the key or value has been changed after the action, propose to restore to the original situation instead
Actions that are listed in the undo window may not be in a state in which they can be immediately undone if other changes have been made to the affected key or value. For instance, if an existing value is changed and after changed another time there will be multiple actions that will be listed. Normally, only the last change to the value can be undone because the current contents of the value will be checked to see if it matches with the situation after the action took place. However, if you select this box, you have also the possibility to immediately restore to the situation before you first changed the value without having to individually undo all operations. This can especially be useful to force an undo when other applications have been writing to the registry (of which no undo information is recorded at all).

Automatically delete undo information if action is older than ... hours.
All registry changes performed with this program are being tracked. But as your registry gets edited and changed by other programs older recorded actions become obsolete as they cannot be undone anymore. Checking this box will ensure that only recent undo information will be available. It also prevents your registry from growing too big.

Delete Undo History Now
Pressing this button will clear the entire undo history ensuring no registry space is wasted on this.


Options

Shell Options

Registrar Registry Manager offers a set of shell extensions and options which you can set according to your preference. To open the Editor Options dialog, choose Tools -> Options... from the main menu and choose Shell.

options.jpg (16772 bytes)

Allow multiple instances of Registrar to be running simultaneously
Check this box if you wish to be running multiple copies of Registrar simultaneously. This can be useful if you often access registry keys by immediately specifying their path using an Explorer address bar.

Display each registry window on a separate icon in the taskbar
Check this box if you wish each registry window to be visible on a button in the taskbar.

Display each tool window on a separate icon in the taskbar
Check this box if you wish each tool window (search, bookmarks, etc) to be visible on a button in the taskbar.

Show context menu option on .reg files
If this box is checked, when right-clicking on registration files with a .reg extensions using Windows Explorer, a menu item titled Edit with Registrar will appear which allows you to open the file for editing with Registrar.

Import .rrb files with Registrar as registry bookmarks file
If this box is checked, a file association is registered which specifies that .rrb files will be opened and imported as registry bookmark files with Registrar.

Import .rrs files with Registrar as registry shortcuts
If this box is checked, a file association is registered which specifies that .rrs files will be opened with Registrar as registry shortcuts.

Open URLs starting with reg: from Shell with Registrar
If this box is checked, Windows Explorer will recognize URLs starting with reg: as registry shortcuts.

List Registrar Registry Manager in the Search menu
If this box is checked, Registrar will be listed in the Search menu which is accessible from the Start button.

List Registrar Registry Manager in the Add/Remove Programs control panel
If this box is checked, Registrar will be listed in the Add/Remove Programs dialog which allows uninstalling the program from the control panel.

Use NT4 style security dialogs when editing permissions and auditing
When editing registry permissions or auditing settings on a key, the old NT4 style security dialogs will be used.

Maximum Registry Size (Windows 2000 and NT 4.0 only)
This allows you to specify your Registry Size Limit which should be large enough.


Command Line Options

Registrar Registry Manager offers several command line options that give you control of the program without the need of user operations. Command line options are specified when starting up the program from the Windows shell, for instance at a Run or Command Line prompt.

Here follows a summary of the available command line options that Registrar supports with their descriptions.

"registry key" Automatically jump to a certain registry key on the local machine at startup. Also abbreviated rootkeys are allowed. For example, if you type at the command line
rr.exe HKLM\Software\Microsoft\Windows\CurrentVerson then that key will be opened on startup. If the registry key consists of spaces then the registry key should be put between quotes.

"filename" Automatically start editing the specified file at startup. For example, if you type at the command line rr.exe "d:\regfile.reg" then the specified file will be opened on startup. If the filename consists of spaces then the registry key should be put between quotes.

/reset Restart Registrar and restore all options to their default settings.

/search With this option, the search dialog will be presented on startup instead of the main registry editing window.

/backup Perform an automated backup. If the option /backupdir= is omitted then the backup will be saved to the default registry backup path which is relative to the installation path of Registrar Registry Manager.

/restore Automatically restore a previously saved backup and reboot. If parameter /backupdir= is omitted then the latest available backup is assumed.

/backupdir=x:\pathname Only valid in combination with /backup or /restore. Specifies a specific directory path to backup to or to restore from.
For example rr.exe /backup /backupdir=c:\regbackup will ensure the backup gets saved to the specified directory.

/minimized Only valid in combination with /backup or /restore. When this parameter is specified, no dialog will come up if an automated backup or restore takes place.

/noprompts Only valid in combination with /backup or /restore. When this parameter is specified, no message dialogs will come up if an automated backup or restore takes place, not even if an error occurs or if it fails.

Resplendence Sp offers an advanced command line registry manager called Registrar for the Command Line as a separate product.


Registry Shortcuts

Registrar allows you to easily access registry keys and values from Explorer by supporting registry shortcut files and allowing you to specify registry paths as a URL.

Registry Shortcut Files

Registrar shortcut files allow you to easily access a registry key or value from the Windows shell. A registry shortcut file is a text file with the extension .rrs. The first line of a registry shortcut file should specify the registry path, for instance HKLM\Software\Microsoft\Windows\CurrentVersion. For more information on registry paths, read Registry Path Syntax.
When double clicking a registry shortcut file, Registrar will start and open the registry key specified in the file if it exists. Registry shortcut files can be used as an alternative way of organizing your bookmarks using files and directories but will not have the advantage of key coloring and descriptions which are supported by the built-in bookmark editor.

Note: this functionality is only available if is has been enabled in the Advanced Options dialog.

Opening Registry URLs using the reg: URL protocol

Registrar supports the URL protocol and allows you to open any registry key with Registrar using any command line or address bar. Just type reg: followed by the path of the registry key or value you would like to open, for instance reg:HKEY_CURRENT_USER\Software. For more infomation on registry paths, read Registry Path Syntax.
This feature can also be used to specify registry locations from web sites or HTML pages like in the following example:
reg:HKEY_CURRENT_USER\Control Panel
When specifying registry shortcuts using the reg: URL protocol, make sure that the backslashes (\) which are used to separate the key names will not be replaced by normal slashes ( / ) when using an HTML editor such as Microsoft's Frontpage.

You could use this feature as an alternative way to organize your bookmarks using HTML files but will not have the advantage of key coloring and descriptions which are supported by the built-in bookmark editor.

Note: this function is only available if is has been enabled in the Advanced Options dialog.


Registrar Registry Manager Online Update

Online Update

Lite Edition
Your version: | 4.03, build 403.30101

Click here to connect and check if an update is available...

Copyright © 1999-2006 Resplendence Sp. All rights reserved


Subscribe to Mailing List

If you wish to be notified by email every time Resplendence releases a new product or major update you can subscribe to the Resplendence mailing list by sending a message to mailings@resplendence.com. If you want to unsubscribe from the list, send a message with unsubscribe in the body or subject header.


Introduction

Resplendent Registrar for Win95/98/2000/NT is a new generation registry editor that comes with a set of tools that should fulfill all your registry editing needs. It could be an excellent replacement for RegEdit or RegEdt32 which come shipped with Windows, or any other registry editor. It allows cutting, pasting, copying, and moving of keys and values as if it were Windows Explorer. It has extensive search and replace capabilities, a bookmark editor that optionally colors bookmarked keys and adds key descriptions, flexible value editors that allow importing data from files, a registry monitor that logs registry activity and even allows restoring changes made by external applications. Additionally, it allows viewing and editing, importing and exporting of .REG files and provides backup and restore functionality for safety. All operations made by the program can be individually undone. When running on WinNT/2000 it provides all the security editors for setting of permissions, auditing and ownership information of registry keys.

System Security Warning:

Resplendent Registrar is a powerful tool. With the software it is possible to directly modify the Windows registry which is used for storing critical system and application data. Errors in the registry may result in a corrupt. non-bootable or even an unrepairable system. Extreme care should be taken as always when working with the registry.